PLAKAR-DIGEST(1)

NAME
plakar digest - Compute digests for files in a Plakar snapshot

SYNOPSIS
plakar [-hashing algorithm] snapshotID[:path] [...]

DESCRIPTION
The plakar command computes and displays digests for specified path in a the given snapshotID. Multiple snapshotID and path may be given. By default, the command computes the digest by reading the file contents.

The options are as follows:

-hashing algorithm
    Use algorithm to compute the digest. Defaults to SHA256.

EXAMPLES
Compute the digest of a file within a snapshot:

    $ plakar digest abc123:/etc/passwd

Use BLAKE3 as the digest algorithm:

    $ plakar digest -hashing BLAKE3 abc123:/etc/netstart

DIAGNOSTICS

0   Command completed successfully.

>0  An error occurred, such as failure to retrieve a file digest or invalid snapshot ID.

SEE ALSO
plakar(1)